MATLAB coder - compiler does not support OpenMP error (using a supported compiler)

4 views (last 30 days)
When attempting to use codegen for a function that includes a parfor loop, I am getting the error "Warning: The selected compiler does not support the OpenMP library; this loop will not be parallelized". I am using a Mac with High Sierra; the compiler is Xcode 9.2 (which is listed as being supported for all coder features here: https://www.mathworks.com/support/compilers.html#mac_n1). How might I get this working?

Accepted Answer

Walter Roberson
Walter Roberson on 16 Jan 2018
Edited: Walter Roberson on 6 Feb 2018
You cannot do that. Apple does not support openmp for xcode. It does support openmp for one of its other compilers. A common solution is to install a different compiler, but you could configure Apple's clang instead. gcc and clang are not "supported" compilers for the Mac so no promises that everything will work.
https://stackoverflow.com/questions/41979611/is-it-possible-to-run-openmp-in-xcode-8

More Answers (1)

Darshan Ramakant Bhat
Darshan Ramakant Bhat on 16 Jan 2018
Please refer to the "Notes for the Mac Platform" section in the below document:
OpenMP is not supported in Mac platforms.
  1 Comment
Lawrence Costa
Lawrence Costa on 16 Jan 2018
In that document, I had noticed that the "This compiler does not support OpenMP" footnote is only listed for Xcode 7 and 8, which is why I thought Xcode 9 would work. I'm guessing that's not the case now? Thanks

Sign in to comment.

Categories

Find more on Memory Usage in Help Center and File Exchange

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!